Name:           gscan2pdf
Version:        0.9.16
Release:        1%{?dist}
Summary:        A GUI for producing a multipage PDF from a scan

Group:          Applications/Publishing
License:        GPL
URL:            http://gscan2pdf.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  perl(ExtUtils::MakeMaker), perl(Test::More)
BuildRequires:  gettext, desktop-file-utils
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       ImageMagick-perl, djvulibre, sane-backends, sane-frontends
Requires:       xdg-utils, unpaper, gocr
Requires:       perl(Gtk2::Ex::PodViewer), perl(PDF::API2)

%description
A GUI to ease the process of producing a multipage PDF from a scan.


%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
rm -f $RPM_BUILD_ROOT/%{perl_archlib}/perllocal.pod
chmod -R u+w $RPM_BUILD_ROOT/*

desktop-file-install --delete-original --vendor="fedora" \
  --dir=$RPM_BUILD_ROOT/%{_datadir}/applications         \
  $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc LICENCE History
%{_bindir}/*
%{perl_vendorlib}/*
%{_datadir}/%{name}
%{_datadir}/applications/*-%{name}.desktop
%{_mandir}/man1/*.1*

%changelog
* Sat Aug 25 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.16-1
- v 0.9.16

* Sun Jul 22 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.15-1
- v 0.9.15

* Wed Jul 11 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.14-1
- v 0.9.14

* Mon Jul 09 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.13-1
- v 0.9.13

* Thu Jun 21 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.12-2
- fix requires from ImageMagick to ImageMagick-perl
- add History to %%doc list

* Tue Jun 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.12-1
- v 0.9.12

* Thu Jun 14 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.10-2
- patch to fix paper size of output pdf file

* Tue Jun 05 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.10-1
- v 0.9.10

* Thu May 03 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.9-3
- will someone fix the "you didn't commit so I said I aborted the tag, but
  suprise, I lied and tagged it anyway" bug in the build system?  please?

* Thu May 03 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.9-2
- add missing BR on perl(ExtUtil::MakeMaker)
- fix vendor tag in desktop file

* Sat Apr 28 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.9-1
- 0.9.9
- remove load/save fix patch, fixed upstream

* Sun Mar 25 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.5-7
- use perl(...) style requires (bz #233768)
- make %%{_datadir}/%%{name} and owned directory (bz #233839)

* Wed Mar 21 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.5-6
- now require unpaper and gocr since they are in the extras repo

* Tue Mar 20 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.5-5
- patch to fix:
  a) tiff files that can not be opened
  b) restrict saving a pdf with no pages

* Mon Mar 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.5-4
- add Requires: for perl-Gtk2-Ex-PodViewer

* Sat Mar 17 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.5-3
- add desktop file the fedora way

* Thu Mar 15 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.5-2
- add scriptlets to update icon cache

* Wed Mar 14 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.9.5-1
- initial release
